ClusteringComponent (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.clustering.ClusteringComponent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.handler.clustering
Class ClusteringComponent

    java.lang.Object
      org.apache.solr.handler.component.SearchComponent
          org.apache.solr.handler.clustering.ClusteringComponent

All Implemented Interfaces:
  SolrInfoMBean, NamedListInitializedPlugin, SolrCoreAware

    public class ClusteringComponent

extends SearchComponent
implements SolrCoreAware

Provide a plugin for clustering results. Can either be for search results (i.e. via Carrot2) or for clustering documents (i.e. via Mahout)

This engine is experimental. Output from this engine is subject to change in future releases.

     <searchComponent class="org.apache.solr.handler.clustering.ClusteringComponent" name="clustering">
       <lst name="engine">
         <str name="name">default</str>
         <str name="carrot.algorithm">org.carrot2.clustering.lingo.LingoClusteringAlgorithm</str>
       </lst>
     </searchComponent>

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.solr.core.SolrInfoMBean
`SolrInfoMBean.Category`

Field Summary
`static String` | `COMPONENT_NAME` Base name for all spell checker query parameters.

Constructor Summary
`ClusteringComponent()`

Method Summary
`void` | `finishStage(ResponseBuilder rb)` Called after all responses have been received for this stage.
`String` | `getDescription()` Simple one or two line description
`Map<String,SearchClusteringEngine>` | `getSearchClusteringEngines()`
`String` | `getSource()` CVS Source, SVN Source, etc
`String` | `getSourceId()` CVS Id, SVN Id, etc
`String` | `getVersion()` Simple common usage version, e.g.
`void` | `inform(SolrCore core)`
`void` | `init(NamedList args)`
`void` | `modifyRequest(ResponseBuilder rb, SearchComponent who, ShardRequest sreq)` Called after another component adds a request
`void` | `prepare(ResponseBuilder rb)` Prepare the response.
`void` | `process(ResponseBuilder rb)` Process the request for this component

Methods inherited from class org.apache.solr.handler.component.SearchComponent
`distributedProcess, getCategory, getDocs, getName, getStatistics, handleResponses`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_NAME

    public static final String COMPONENT_NAME

  Base name for all spell checker query parameters. This name is also used to register this component with SearchHandler.

  See Also:
    Constant Field Values

Constructor Detail

### ClusteringComponent

    public ClusteringComponent()

Method Detail

### prepare

    public void prepare(ResponseBuilder rb)
                 throws IOException

  Description copied from class: `SearchComponent`
  Prepare the response. Guaranteed to be called before any SearchComponent `SearchComponent.process(org.apache.solr.handler.component.ResponseBuilder)` method. Called for every incoming request. The place to do initialization that is request dependent.

  Specified by:
    `prepare` in class `SearchComponent`
  Parameters:
    `rb` - The `ResponseBuilder`
  Throws:
    `IOException`

### process

    public void process(ResponseBuilder rb)
                 throws IOException

  Description copied from class: `SearchComponent`
  Process the request for this component

  Specified by:
    `process` in class `SearchComponent`
  Parameters:
    `rb` - The `ResponseBuilder`
  Throws:
    `IOException`

### modifyRequest

    public void modifyRequest(ResponseBuilder rb,
                              SearchComponent who,
                              ShardRequest sreq)

  Description copied from class: `SearchComponent`
  Called after another component adds a request

  Overrides:
    `modifyRequest` in class `SearchComponent`

### finishStage

    public void finishStage(ResponseBuilder rb)

  Description copied from class: `SearchComponent`
  Called after all responses have been received for this stage. Useful when different requests are sent to each shard.

  Overrides:
    `finishStage` in class `SearchComponent`

### init

    public void init(NamedList args)

  Specified by:
    `init` in interface `NamedListInitializedPlugin`
  Overrides:
    `init` in class `SearchComponent`

### inform

    public void inform(SolrCore core)

  Specified by:
    `inform` in interface `SolrCoreAware`

### getSearchClusteringEngines

    public Map<String,SearchClusteringEngine> getSearchClusteringEngines()

### getDescription

    public String getDescription()

  Description copied from interface: `SolrInfoMBean`
  Simple one or two line description

  Specified by:
    `getDescription` in interface `SolrInfoMBean`
  Specified by:
    `getDescription` in class `SearchComponent`

### getVersion

    public String getVersion()

  Description copied from interface: `SolrInfoMBean`
  Simple common usage version, e.g. 2.0

  Specified by:
    `getVersion` in interface `SolrInfoMBean`
  Specified by:
    `getVersion` in class `SearchComponent`

### getSourceId

    public String getSourceId()

  Description copied from interface: `SolrInfoMBean`
  CVS Id, SVN Id, etc

  Specified by:
    `getSourceId` in interface `SolrInfoMBean`
  Specified by:
    `getSourceId` in class `SearchComponent`

### getSource

    public String getSource()

  Description copied from interface: `SolrInfoMBean`
  CVS Source, SVN Source, etc

  Specified by:
    `getSource` in interface `SolrInfoMBean`
  Specified by:
    `getSource` in class `SearchComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD